%define name    e_dbus
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: 	E17 basic convenience wrappers around dbus
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source:		http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
License: 	BSD
Group: 		System/Servers
URL: 		http://trac.enlightenment.org/e/wiki/E_Dbus
BuildRequires:  pkgconfig
BuildRequires:	dbus-devel
%if %svn
BuildRequires:	pkgconfig(ecore) >= %{version}-0.%svn
%else
BuildRequires:	pkgconfig(ecore) >= %{version}
%endif

%description
This is the start of some basic convenience wrappers around dbus to
ease integrating dbus with EFL based applications.
When using e_dbus, direct use of the low level dbus api is still
heavily required for processing messages.

%package -n %{libname}
Summary:	Libraries for the %{name} package
Group:		System/Libraries
Obsoletes:	%{mklibname e_dbus 1} <= 0.01

%description -n %{libname}
Libraries for %{name}.

%package -n %{develname}
Summary:	Headers and development libraries from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
autoreconf -fi
%configure2_5x --disable-static
%make


rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/%{name}/logo.png

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sat Feb 15 2014 trem <trem> 1.7.10-1.mga4
+ Revision: 591887
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552463
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463326
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-1.mga4
+ Revision: 463233
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444946
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412565
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339276
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333858
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327933
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321320
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320195
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290142
- update to release 1.7.0

* Thu Jun 07 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 257041
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222672
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222405
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217983
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217533
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215198
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214412
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213957
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212064
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210780
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210228
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207531
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207244
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206953
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205988
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Thu Dec 29 2011 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 188823
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.1.0-0.r65867.1.mga2
+ Revision: 176087
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.1.0-0.r65688.1.mga2
+ Revision: 174234
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.1.0-0.r65613.1.mga2
+ Revision: 172957
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.1.0-0.r65428.1.mga2
+ Revision: 169720
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.1.0-0.r65369.1.mga2
+ Revision: 168716
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.0.999-0.r65341.2.mga2
+ Revision: 168438
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.0.999-0.r65269.2.mga2
+ Revision: 168194
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.0.999-0.r65129.2.mga2
+ Revision: 167156
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.0.999-0.r65056.2.mga2
+ Revision: 166573
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.0.999-0.r64753.2.mga2
+ Revision: 163321
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.0.999-0.r64603.2.mga2
+ Revision: 160807
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.0.999-0.r64579.2.mga2
+ Revision: 160593
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.0.999-0.r64519.2.mga2
+ Revision: 160062
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.0.999-0.r64511.2.mga2
+ Revision: 159805
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.0.999-0.r64501.2.mga2
+ Revision: 159285
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.0.999-0.r64414.2.mga2
+ Revision: 158380
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.0.999-0.r64328.2.mga2
+ Revision: 157782
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 22 2011 fwang <fwang> 1.0.1-2.mga2
+ Revision: 146625
- drop .la files

* Tue Jun 28 2011 trem <trem> 1.0.1-1.mga2
+ Revision: 115474
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 1.0.0-1.mga1
+ Revision: 87936
- clean spec file
- imported package e_dbus

